Bug 195490 - DFG::Worklist can be shrunk by 16 bytes
Summary: DFG::Worklist can be shrunk by 16 bytes
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Trivial
Assignee: Robin Morisset
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-03-08 15:55 PST by Robin Morisset
Modified: 2019-03-14 09:42 PDT (History)
9 users (show)

See Also:


Attachments
Patch (2.38 KB, patch)
2019-03-08 15:56 PST, Robin Morisset
darin: review+
rmorisset: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews105 for mac-highsierra-wk2 (2.78 MB, application/zip)
2019-03-09 01:41 PST, Build Bot
no flags Details
Archive of layout-test-results from ews201 for win-future (12.95 MB, application/zip)
2019-03-11 16:31 PDT, Build Bot
no flags Details
Patch (2.36 KB, patch)
2019-03-12 10:25 PDT, Robin Morisset
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Robin Morisset 2019-03-08 15:55:02 PST
simply by reordering the fields to avoid padding.
Comment 1 Robin Morisset 2019-03-08 15:56:22 PST
Created attachment 364085 [details]
Patch
Comment 2 Build Bot 2019-03-09 01:41:39 PST
Comment on attachment 364085 [details]
Patch

Attachment 364085 [details] did not pass mac-wk2-ews (mac-wk2):
Output: https://webkit-queues.webkit.org/results/11437253

New failing tests:
accessibility/mac/selection-notification-focus-change.html
Comment 3 Build Bot 2019-03-09 01:41:41 PST
Created attachment 364124 [details]
Archive of layout-test-results from ews105 for mac-highsierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews105  Port: mac-highsierra-wk2  Platform: Mac OS X 10.13.6
Comment 4 Darin Adler 2019-03-10 15:30:36 PDT
Comment on attachment 364085 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=364085&action=review

> Source/JavaScriptCore/dfg/DFGWorklist.cpp:187
> +    : m_numberOfActiveThreads(0)

Initialize in class definition instead?
Comment 5 Robin Morisset 2019-03-11 10:18:17 PDT
Comment on attachment 364085 [details]
Patch

Tons of other unrelated patches have the same test failure, so I am pretty sure it is just a flaky test.
Comment 6 Robin Morisset 2019-03-11 10:18:39 PDT
Comment on attachment 364085 [details]
Patch

Missed the comment above
Comment 7 Robin Morisset 2019-03-11 10:25:35 PDT
(In reply to Darin Adler from comment #4)
> Comment on attachment 364085 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=364085&action=review
> 
> > Source/JavaScriptCore/dfg/DFGWorklist.cpp:187
> > +    : m_numberOfActiveThreads(0)
> 
> Initialize in class definition instead?

The initialization includes
", m_threadName(createWorklistName(WTFMove(tierName)))", and createWorklistName is a static function that is only available within DFGWorklist.cpp.
I could move it along with the initialization code to the class definition in DFGWorklist.h. What would be the expected benefit from doing this?
Comment 8 Darin Adler 2019-03-11 12:02:59 PDT
Comment on attachment 364085 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=364085&action=review

>>> Source/JavaScriptCore/dfg/DFGWorklist.cpp:187
>>> +    : m_numberOfActiveThreads(0)
>> 
>> Initialize in class definition instead?
> 
> The initialization includes
> ", m_threadName(createWorklistName(WTFMove(tierName)))", and createWorklistName is a static function that is only available within DFGWorklist.cpp.
> I could move it along with the initialization code to the class definition in DFGWorklist.h. What would be the expected benefit from doing this?

Comment was only about m_numberOfActiveThreads, not the rest of the initialization.
Comment 9 Build Bot 2019-03-11 16:31:46 PDT
Comment on attachment 364085 [details]
Patch

Attachment 364085 [details] did not pass win-ews (win):
Output: https://webkit-queues.webkit.org/results/11461947

New failing tests:
http/tests/cache/memory-cache-pruning.html
Comment 10 Build Bot 2019-03-11 16:31:59 PDT
Created attachment 364307 [details]
Archive of layout-test-results from ews201 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews201  Port: win-future  Platform: CYGWIN_NT-6.1-2.10.0-0.325-5-3-x86_64-64bit
Comment 11 Robin Morisset 2019-03-12 10:25:02 PDT
Created attachment 364401 [details]
Patch

Initialized m_numberOfActiveThreads in the class definition per Darin's suggestion.
Comment 12 WebKit Commit Bot 2019-03-14 09:41:56 PDT
Comment on attachment 364401 [details]
Patch

Clearing flags on attachment: 364401

Committed r242944: <https://trac.webkit.org/changeset/242944>
Comment 13 WebKit Commit Bot 2019-03-14 09:41:57 PDT
All reviewed patches have been landed.  Closing bug.
Comment 14 Radar WebKit Bug Importer 2019-03-14 09:42:38 PDT
<rdar://problem/48889334>